// Emacs: -*- C++ -*-

//
//	Copyright 1993, Center for Computer Vision and Visualization,
//	University of Florida.  All rights reserved.
//

static char copyright[] = "Copyright 1993, Center for Computer Vision and Visualization,\nUniversity of Florida.  All rights reserved.\n";

// Emacs -*- C++ -*-

static char IntDDTempl_rcsid[] = "$Id: IntDDTempl.c,v 1.5 93/05/27 11:36:26 thoth Exp $";

//
// $Log:	IntDDTempl.c,v $
// Revision 1.5  93/05/27  11:36:26  thoth
// Copyright Notices
// 
// Revision 1.4  93/05/26  17:01:14  thoth
// constructors that specify pointsets aren't supported right now.
// 
// Revision 1.3  93/04/29  11:20:11  thoth
// Convolutions now know about VectorDIs.
// 
// Revision 1.2  93/04/08  13:13:18  thoth
// *** empty log message ***
// 
// Revision 1.1  93/03/18  11:03:44  thoth
// Initial revision
// 

#include <limits.h>
#include <values.h>

#include "IPSIter.h"
#include "DIVIter.h"
#include "DIPIter.h"

#include "InvariantDT.h"
#include "OtherDT.h"
#include "IntDDTempl.h"

#include "VectorDI.h"
#include "IntConvolutions.c"

class urk: public IA_OtherDT<IA_IntDiscreteImage> {
  public:
    urk()
    :IA_OtherDT<IA_IntDiscreteImage>(IA_IntPointSet()) {}
    IA_IntDiscreteImage operator()(const IA_IntPoint&) const { return IA_IntDiscreteImage(); }
    IA_OtherDT<IA_IntDiscreteImage> *clone_self() const { return 0; }
    IA_BaseDT<IA_IntDiscreteImage> *restricted_to(const IA_IntPointSet &) const { return new urk(); }
};

static void dummy1()
{
    IA_IntPointSet	ps;
    IA_IntDiscreteImage	im;
    IA_IntDDTemplate	//t1(ps, im),
	t2(0,im),
//	t3(ps,(IA_IntDiscreteImage(*)(const IA_IntPoint&))0),
	t4(0,(IA_IntDiscreteImage(*)(const IA_IntPoint&))0),
	t5(urk);
}
